]> git.pld-linux.org Git - packages/gstreamer-plugins-good.git/commitdiff
- rel.3, updated deps, --as-needed support auto/th/gstreamer-plugins-good-0_10_3-3
authorfreetz <freetz@pld-linux.org>
Sat, 15 Jul 2006 20:03:45 +0000 (20:03 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
Changed files:
    gstreamer-plugins-good.spec -> 1.13

gstreamer-plugins-good.spec

index 210ebfddbbc9445b3d4b40d3bf9155abd4b13ea6..38ddc8c98bdab58a65caf8744358da05c1c9d20d 100644 (file)
 #
 %define                gstname         gst-plugins-good
 %define                gst_major_ver   0.10
-%define                gst_req_ver     0.10.4.1
-%define                gstpb_req_ver   0.10.5.1
+%define                gst_req_ver     0.10.8
+%define                gstpb_req_ver   0.10.8
 #
 Summary:       Good GStreamer Streaming-media framework plugins
 Summary(pl):   Dobre wtyczki do ¬∂rodowiska obr√≥bki strumieni GStreamer
 Name:          gstreamer-plugins-good
 Version:       0.10.3
-Release:       2
+Release:       3
 License:       LGPL
 Group:         Libraries
 Source0:       http://gstreamer.freedesktop.org/src/gst-plugins-good/%{gstname}-%{version}.tar.bz2
@@ -27,24 +27,24 @@ Patch1:             %{name}-libcaca.patch
 URL:           http://gstreamer.freedesktop.org/
 BuildRequires: autoconf >= 2.59-9
 BuildRequires: automake >= 1.5
-BuildRequires: glib2-devel >= 1:2.6.0
+BuildRequires: glib2-devel >= 1:2.12.0
 BuildRequires: gstreamer-devel >= %{gst_req_ver}
 BuildRequires: gstreamer-plugins-base-devel >= %{gstpb_req_ver}
 BuildRequires: gtk-doc >= 1.3
-BuildRequires: gtk+2-devel >= 2:2.2.0
-BuildRequires: liboil-devel >= 0.3.2
+BuildRequires: gtk+2-devel >= 2:2.10.0
+BuildRequires: liboil-devel >= 0.3.6
 BuildRequires: libtool >= 1.4
 BuildRequires: pkgconfig >= 1:0.9.0
 ##
 ## plugins
 ##
-%{?with_gconf:BuildRequires:   GConf2-devel >= 2.0}
+%{?with_gconf:BuildRequires:   GConf2-devel >= 2.14.0}
 %{?with_aalib:BuildRequires:   aalib-devel >= 0.11.0}
-%{?with_cairo:BuildRequires:   cairo-devel >= 1.0.0}
-BuildRequires: dbus-devel >= 0.32
+%{?with_cairo:BuildRequires:   cairo-devel >= 1.2.0}
+BuildRequires: dbus-devel >= 0.62
 BuildRequires: esound-devel >= 0.2.12
 BuildRequires: flac-devel >= 1.1.2
-BuildRequires: hal-devel >= 0.5.6
+BuildRequires: hal-devel >= 0.5.7
 %{?with_ladspa:BuildRequires:  ladspa-devel >= 1.12}
 BuildRequires: libavc1394-devel
 %{?with_caca:BuildRequires:    libcaca-devel}
@@ -56,7 +56,7 @@ BuildRequires:        libraw1394-devel
 BuildRequires: libshout-devel >= 2.0
 # for taglib
 BuildRequires: libstdc++-devel
-BuildRequires: libxml2-devel >= 2.4.9
+BuildRequires: libxml2-devel >= 1:2.6.26
 BuildRequires: python-PyXML
 BuildRequires: rpmbuild(macros) >= 1.198
 %{?with_speex:BuildRequires:   speex-devel >= 1:1.1.6}
@@ -406,6 +406,7 @@ Xlib.
 %{__autoconf}
 %{__autoheader}
 %{__automake}
+LDFLAGS="%{rpmldflags} -Wl,--as-needed"
 %configure \
        ac_cv_lib_jpeg_mmx_jpeg_set_defaults=no \
        %{!?with_aalib:--disable-aalib} \
This page took 0.10795 seconds and 4 git commands to generate.